summaryrefslogtreecommitdiff
path: root/runtests
diff options
context:
space:
mode:
authorLuke Shumaker <lukeshu@lukeshu.com>2018-08-05 20:09:42 -0400
committerLuke Shumaker <lukeshu@lukeshu.com>2018-08-05 20:09:42 -0400
commitb1bf832025c2156552b834acb37dce3aae34d4ca (patch)
tree6d7528b30dc1fe4b158a6db6a0af9ffc7522ed98 /runtests
parente0cd36d1b21769035aa9f7a13d13f7edfafcd6d6 (diff)
wip
Diffstat (limited to 'runtests')
-rwxr-xr-xruntests28
1 files changed, 28 insertions, 0 deletions
diff --git a/runtests b/runtests
new file mode 100755
index 0000000..87119f9
--- /dev/null
+++ b/runtests
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+
+{
+ set -euE
+ COMMIT="${1:-systemd/master}"
+ workdir=$PWD/workdir
+
+ mkdir -p -- "$workdir"
+ gitget bare https://git.parabola.nu/~lukeshu/systemd.git "$workdir/systemd.git"
+
+ ./mkosi \
+ --include-pkg='base' \
+ --module=mkosi.d/systemd-libretools.sh \
+ --module=mkosi.d/systemd-runscript.sh \
+ --include-dir="$workdir/systemd.git:/home/runscript/packages/srcdest/systemd" \
+ --include-dir="abs/systemd-232:/home/runscript/packages/abs/systemd-232" \
+ --include-dir="abs/systemd:/home/runscript/packages/abs/systemd" \
+ "${workdir}/build.raw"
+ ./runscript "${workdir}/build.raw" <<-EOF
+ #!/usr/bin/env bash
+ set -ex
+ cd ~/packages/abs/systemd-232
+ sudo libremakepkg
+ cd ~/packages/abs/systemd
+ sed 's/@COMMIT@/${COMMIT}/' < PKGBUILD.in > PKGBUILD
+ sudo libremakepkg
+ EOF
+}